Introduction

FileZilla is a powerful FTP-client for Windows 9x, ME, NT4, 2000 and XP. It has been designed for ease of use and with support for as many features as possible, while still being fast and reliable. (See FileZilla history for more information)

This guide will help you to configure and use FileZilla.

The main features of FileZilla are:

  • Ability to resume Uploads/Downloads (if the server supports it)

  • Custom Commands

  • Site Manager with folders

  • Keep Alive system

  • Timeout detection

  • Firewall support

  • SOCKS4/5 and HTTP1.1 Proxy support

  • SSL secured connections

  • SFTP support

  • Upload/Download Queue

  • Drag&Drop

  • Multi-language support

  • GSS authentication and encryption using Kerberos

See Also:

  • Quick guide to FileZilla

  • Using FileZilla

  • Configuration


General Information

The following chapters include some general information for you:

  • FileZilla history

  • Version history

  • Compiling FileZilla


Compiling FileZilla

To compile FileZilla, you need the following programs and tools:

  • MS Visual C++ 6

  • The latest version of the MS Platform SDK from http://www.microsoft.com/msdownload/platformsdk/sdkupdate/

  • MS HTML Help Workshop

You can download the latest version of HTML Help Workshop from the Microsoft Website. After installing, you should prepare DevStudio: Go to Tools, Options, Directories, then (assuming that you've installed HTML Help Workshop to C:\Program Files\HTML Help Workshop):

  • Under Show directories for choose Include files, click on New and type
    C:\Program Files\HTML Help Workshop\include

  • Under Show directories for choose Library files, click on New and type
    C:\Program Files\HTML Help Workshop\lib

  • Under Show directories for choose Executable files, click on New and type
    C:\Program Files\HTML Help Workshop

  • Close DevStudio and restart to save the changes.

To compile the install script, you have to download and install NSIS. After installing NSIS, right-click the file FileZilla.nsi in the Explorer and choose "Compile NSI".


FileZilla history

As project leader, I'm very proud about the success of FileZilla. Since the first alpha version of FileZilla, released in late February of 2001, FileZilla has become very popular. There are more than a hundred other FTP clients for Windows, but none of them has achieved so much in such a short time as FileZilla. There must be reasons for the success of FileZilla and I'll explain them below.

In the second week of January 2001, in Computer Science class, I started with two friends to write an FTP-client while the rest of our class wrote a "4-in-a-row" clone. We didn't think that FileZilla would be so successful. Before we started to code, we had to discuss how FileZilla should be released. We decided to make FileZilla an open-source project. There were already many FTP clients available and we didn't think that we would sell even one copy if we made FileZilla commercial, so open-source was the best alternative.

Our main goal for FileZilla was to write a simple FTP client, with a very simple user interface. FileZilla should support all the basic functions needed to browse a server and to transfer files. FileZilla should also be fast and reliable. With every release, new features were added to FileZilla. From beta 2.1 on, all required features were implemented in FileZilla. But development didn't stop with beta 2.1. With the help and the ideas from other FileZilla users, I have continued to improve FileZilla. Bugs have been removed and new features were added or improved.

Since the first version, FileZilla has been the only FTP client I use, and I use it every day. If a program were really good, you wouldn't use another one.

But there's another reason for the success of FileZilla. One may ask: "Why is he making FileZilla? He gains nothing from it!" Looking at the financial aspect, this is true, but if you look closer, you'll see what I gain. First of all, it's experience, which I share with other people through the open source code. In addition, a lot of people now know me. It is users like you who email me their ideas and problems with FileZilla. It is the feedback, positive as well as - to a much lesser extent - negative, which is vital for FileZilla and me. It tells me that there is popular interest in my project, gives me ideas for improving it, and keeps me busy!

You'll know what I mean if you've ever gotten emails like "Great job, keep it going!" or "Thanks for FileZilla! So, where do I send the pizza?"

Thanks for your patience,
Tim Kosse
 FileZilla project leader


Version history

The version history shows the development of FileZilla from release to release.

Version 2.1.6 (2002-04-18):

New features:

  • added SSH protocol and compression selection for SFTP transfers
  • added minimize to tray button
  • some interface improvements, including xp theme awareness
  • the IP address used for active mode transfers can be specified. Hostnames are also supported.
  • quickconnect history will be remembered between sessions

Fixed bugs:

  • fixed crash if resuming files larger than 4 GB
  • fixed crash and improved compatibility with some servers in the directory listing parser
  • Some problems with the SSL code have been fixed.
  • now using the STLport library, the STL implementation Microsoft was responsible for a lot of crashes and other misbehaviour.

Version 2.1.5 (2002-03-23):

New features:

  • added statusbar to local and remote file list which shows the number of (selected) folders and files with their size

  • added remote group / owner column

  • sort settings of fileviews can be saved

  • Aborting file exists dialog now skips transfer

  • enlarged transfer buffer, high-speed FTP transfers should be slightly faster now.

  • renamed gssapi.dll into FzGSS.dll. If you have gssapi.dll from older version in your FileZilla folder, you can delete it.

  • improved exception handling

  • updated to OpenSSL version 0.9.7a

Fixed bugs:

  • FTP over SSL no longer forces passive mode

  • remote column widths were not saved correctly

  • fixed download options page in installer

  • fixed crash if no data was sent/received during transfer for over 60 seconds and transfer did continue then

  • silent installer now working properly (use /S switch)

Version 2.1.4 (2003-01-31):

New features:

  • added "Connect and bypass proxy settings" item to quickconnect menu

  • added browse for folder button to local folder field in Sitemanager

  • Backspace can be used to go up one folder

  • added simplified chinese

  • directory listing parser now supports numerical listings and the format VShell server sends.

Fixes and improvements:

  • automatic retrying did not work (1.04a)

  • fixed crash and changed transfer logic for downloads

  • fixed upload resuming

  • improved parsing of MS-DOS style directory listing

  • fixed problem with downloading file links and failed directory transfers

  • local file list control no longer loses focus if changing directory

  • fixed problem with GSS not working properly (Did happen if encrypted strings received from server were not null-terminated)

Version 2.1.3 (2002-12-06):

New features:

  • added Speed Limit settings (written by Roman Ruckschloss)

  • SiteManager can be configures to not expand folder on start and to sort folders before sites (written by Jonathon Merz)

  • added dropdown menu to Sitemanager button in toolbar (written by Roman Ruckschloss)

  • added Traditional Chinese language files

  • added EPLF directory listing parser

Fixes and improvements:

  • updated documentation

  • fixed parsing of paths containing spaces with quickconnect

  • fixed crash with very long filenames (>256 chars)

  • horizontal scrolling in message log did not work correctly

  • slightly improved directory listing parsing speed

  • fixed some interface glitches and rare crashes

  • proxy support works again (2.1.3a)

Version 2.1.2 (2002-10-20):

New features:

  • copy URL to clipboard

  • added menu to quickconnect bar, including clear item and quickconnect history

Fixed bugs:

  • some minor interface improvements

  • could not upload readonly files to sftp servers

  • now compatible with the directory listings of more servers

  • fixed some other compatiblity issues

Version 2.1.1 (2002-10-07):

New features:

  • now verifying SSH Host key during authentication with SFTP server

  • simple Ident Server for FTP servers which required ident running on the user's machine

Fixed bugs:

  • some issues with the transfer queue, did abort queue to early and queue data could get mixed up

  • SFTP speed slightly increased

  • No longer asking every time FileZilla starts whether to use the registry or the XML file on Win9x systems

  • minor changes, mostly small bugfixes

version 2.1.0 (2002-09-23):

New features:

  • added XML settings storage

  • improved link support. Still handling all links as directories but treating them as files if directory changing fails.

  • added "Enter FTP command" to server menu

Fixed bugs:

  • sometimes transfers could crash if target file did already exist

  • ftp list parser did not trim indicators properly

  • parsing url from command line did not work (fixed in 2.1.0a)

Version 2.0.2 (2002-09-07):

New features:

  • Using multiple connections can be disabled in the queue menu.

Fixed bugs:

  • fixed typos in docs, thanks to Geoff Gigg

  • improved queue logic

  • cache could 'forget' directories

Version 2.0.1 (2002-09-05):

New features:

  • can now hide remote date and time separatly

Fixed bugs:

  • did not remember view settings correctly

  • crash when opening settings dialog more than once

  • now trying to use the connection password to decrypt a encrypted public key file from the default PuTTY configuration when connecting to SFTP servers

  • GSS support did not work properly, gssapi.dll was not thread-safe

Version 2.0.0 final (2002-09-02):

New features:

  • multiple simultaneous transfers

  • A single dot in the list of ascii file extensions specifies all files without extension

  • faster queue loading/saving

  • added bulgarian and hungarian translation

Fixed bugs:

  • some compatibility fixes in directory listing parser

  • rename option had no effect in file exists dialog

  • manual transfer could crash FileZilla

  • local file list did not update when a new directory was created during downloads

History of 2.0.0 beta versions:

Fixed bugs since beta 6:

  • Adjustment of maximum number of simultaneous transfers during transfer no longer crashes FileZilla

  • The file exists dialog no longer pops several times at the same time when transferring several files simultaneously

  • Transfers no longer fail during directory creation if the directory has already been created by another thread

  • Reducing number of transfers for single servers if they don't accept enough simultaneous connections

Version 2.0.0 beta 6:

New features:

  • multiple simultaneous transfers

  • primary connection will be used for transfer if server does not support multiple connections

  • A single dot in the list of ascii file extensions specifies all files without extension

Fixed bugs:

  • some compatibility fixes in directory listing parser

  • some small bugs

Version 2.0.0 beta 5:

New features:

  • browsing during transfer

  • faster queue loading/saving

  • added bulgarian and hungarian translation

  • improved installer

Fixed bugs:

  • rename option had no effect in file exists dialog

  • manual transfer could crash FileZilla

  • local file list did not update when a new directory was created during downloads

  • some queue related bugs

Version 1.9.9a:

New features:

  • added italian translation

Fixed bugs:

  • "bypass proxy / firewall settings" in SiteManager did not work

  • when transferring file from/to an sftp server with disabled directory cache, FileZilla could crash

  • could not cancel connection attempts while waiting for a retry

Version 1.9.9:

New features:

  • added SFTP support

  • remote files can be edited directly with the programs specified in the settings

  • now multi-line directory listings (some VMS servers use them) are supported

  • site manager tree now scrolls when dragging items around

  • added secure mode, set "HKCU\Software\FileZilla\Run In secure Mode" or "HKLM\Software\FileZilla\Run In secure Mode" to 1 to enable it or run the installer.

  • "always show hidden files" option

Fixed bugs:

  • Main window no longer flickers that much while resizing

  • fixed display of local root

Version 1.9.8:

New features:

  • current server will be shown in title bar

  • manual download enhanced, it's now called manual transfer, can be completely customized for both uploads and downloads.

  • improved speed of local file list when refreshing

  • extremely fast refresh of local file list after file downloads or when deleting files

  • new transparent socket layer classes, should fix remaining problems with SOCKS4/5 and HTTP 1.1 proxies

Fixed bugs:

  • fixed MKD on some *NIX servers

  • fixed "Connect to default site" on Win9x

  • fixed file list sorting with selected items

  • remote file list was not updated when deleting a directory which contained uppercase characters

  • some minor bugs and glitches

  • fixed reconnect issues when using multiple instances of FileZilla

  • correct local folder will be set if "Open Site Manager each time FileZilla starts" is checked

Version 1.9.7:

Fixed bugs:

  • fixed the "Authentication failed" Kerberos GSS problem under Win98

  • remote file list now refreshes after changing file attributes

  • fixed reconnect remembering incorrect passwords

  • minor fixes

Version 1.9.6:

New features:

  • new Winsock wraper class, improves speed

  • drag & drop in Site Manager

Fixed bugs:

  • fixed problem with transfers stalling at 100%

  • fixed 'overwrite if newer'

  • entering relative paths in the remote combo box working again

  • improved retry logic

  • fixed transfer queue related crash

  • remote view will be correctly updated when directory cache is enabled

Version 1.9.5 (2002-04-24):

New features:

  • remote directory tree

  • option to remember local and remote column widths

  • option to customize display of filesizes

Fixed bugs:

  • some minor interface problems

  • fixed some GSS and SSL bugs

  • some crashes reported by users

Version 1.9.4 (2002-04-10 ):

New features:

  • basic SSL certificate verification

  • show hidden files (dotfiles) option in main menu

  • added exception report generation

Fixed bugs:

  • after 30 seconds FileZilla took the default values for options

  • support for files larger than 2GB

  • some minor interface and SSL bugs

Version 1.9.3 (2002-03-25):

Fixed bugs:

  • remote date/time sorting

  • fixed bug when using proxy servers

  • file exist dialog did not show file sizes

Version 1.9.2 (2002-03-23):

New features:

  • resolving hostname asynchronously

Fixed bugs:

  • download of multiple selected files and folders failed

  • remote file list did not refresh on delete

Version 1.9.1 (2002-03-19):

Fixed bugs:

  • SHIFT+TAB now switches backwards through panes

  • fixed crash when uploading

  • filesizes for files larger than 2.1 GB were shown incorrectly in transfer queue

  • remove some minor memory leaks

Version 1.9 (2002-03-17):

New features:

  • SSL support using OpenSSL

  • Showing "Empty directory listing" when there are no files within a remote directory

Fixed bugs:

  • using the delete key no longer deletes a site in the Site Manager when the Sitetree is not selected

  • Fixed a problem where a transfer could stall until timeout.

  • fixed problem with incorrect remote file dates

  • remote file list gets automatically refreshed when unknown entries are present (files with ??? as size/date/time for example)

Version 1.8.3 (2002-02-21):

New features:

  • minimize to tray

Fixed bugs:

  • fixed crash which happened after cache purge timeout

  • fixed queue<->file import/export

Version 1.8.2 (2002-02-17):

New features:

  • server password can be changed if server allows it

Enhanced features:

  • keep alive system now enabled by default (does not affect existing settings)

  • directory creation. Now also works with servers which don't allow creating multiple levels at once

Fixed bugs:

  • transfer size for queue items not loaded correctly after restart of FileZilla

Version 1.8.1 (2002-02-09):

Fixed bugs:

  • OpenVMS compatibility

  • passive mode not working correctly

  • crash when choosing properties from the local file list when there was no file/folder/drive selected

Version 1.8 (2002-02-03):

New features:

  • ftp API rewritten

  • new interface to ftp API

  • directory cache

  • added internal options cache, increases performance

  • added HTTP1.1 and SOCKS4A proxy support

  • support for single-line (Open)VMS directory listing

Fixed bugs:

  • fixed problem with multi-line responses

  • fixed a timeout problem

  • entries in remote file list can be searched by entering first few characters, just like in local file list or in windows explorer

Version 1.7b (2001-11-23):

Fixed bugs:

  • crash when installed in a folder with spaces

Version 1.7a (2001-11-18):

Fixed bugs:

  • fixed problem with folders in sitemanager under Win9x/ME

Version 1.7 (2001-11-17):

New features:

  • folders in sitemanager

  • added Spanish translation

improved features:

  • increased speed of remote file list, now there's almost no difference between 10 or 10000 files

  • reduced size of additional language files

Fixed bugs:

  • parsing of directory listings could fail on certain servers

  • sorting by date/time did not work for remote list

  • some problems with language files

  • crash when starting from console in Win NT, 2K and XP

Version 1.6 (2001-10-16):

New features:

  • window size and position can be remembered

  • the tab key now switches between the views

  • new keyboard shortcuts (see documentation for more details)

  • import and export of queue items

  • added queue section to main menu

  • CHMOD of multiple files and folders at once

  • added context menu to local treeview

  • "manual download" entry in transfer menu

  • added polish language file

Fixed bugs:

  • local directory was reset to "\" on refresh

  • "don't remember password" setting did not effect reconnect to server

  • upload crash when using active mode SOCKS4/5 transfers

Version 1.5a (2001-09-18):

Fixed bugs:

  • passive mode downloads could timeout without reason

  • up- and downloads could fail due to uninitialized buffer

Version 1.5 (2001-09-18):

New features:

  • CTRL+A in file lists works now

Fixed bugs:

  • upload problem with certain directory structures with empty directories solved

  • remote directories could not be deleted

  • ASCII transfers would cause crash

  • fixed more queue bugs

  • FileZilla crashed when trying to delete the ".." entry in the folder views

  • as always, a lot of minor fixes

Version 1.4 (2001-08-29):

New features:

  • overwrite if newer option in the FileExists dialog

  • local files can be opened

  • added documentation

Fixed bugs:

  • fixed SOCKS5 auth code (Thanks to Mike Shuetter)

  • fixed problem with transfer timeouts

  • remote folders that only contained files with spaces in their names were displayed incorrectly

  • some minor problems

Version 1.3 (2001-07-27):

New features:

  • site manager may be automatically opened on startup

  • default local folder in site manager

  • default site in site manager

  • don't save password option in site manager

  • added GSS authentication and encryption support. Requires Kerberos for Windows

Fixed bugs:

  • timeout detection fixed

  • fixed display of total queue size when there are a lot of items in the queue (>2GB)

Version 1.2 (2001-07-19):

New features:

  • support for NT servers which use the MS-DOS like directory listing

  • replaced the edit field over the ftp view with a combo box

  • You can switch the style of the file list views. The following styles are supported: details, list, large icons and small icons.
    In details style, you can show/hide most columns

  • Enter-key in the file views usable.

Enhanced features:

  • when shift key is pressed you can now delete the files in the local view without moving the to the recycle bin (just like in Explorer now)

  • shlwapi.dll is no longer needed, replaced by some self-written functions

  • improved transfer queue

Fixed bugs:

  • crashes due to a bug in CSplitterWnd

  • file transfers in passive mode crashed

  • bug in transfer code. Input file for uploads was not opened sometimes

  • some minor issues I don't remember

Version 1.1 (2001-07-11):

New features:

  • support for ASCII mode transfer

  • filetype auto-detection (based on extension)

  • added dir edit field to local view

  • added view labels for local and remote view

  • message log and quickconnect bar can now be hidden

  • options page for the interface settings. Interface settings can be remembered

  • all settings can be exported (including queue and sitemanager)

Enhanced features:

  • totally rewritten thread and FTP API classes. Now using asynchronous sockets. Better performance and stability now. Code is much cleaner now.

Fixed bugs:

  • fixed bug in firewall setting dialog: FW data input fields were not enabled when a firewall type other than none was selected

Version 1.0 (2001-06-12):

New features:

  • file attributes on the server can be changed (CHMOD command)

  • active connections can now be copied into the Site Manger over the menu

  • the total size of the queue is displayed on the right side of the status bar

  • added "upload / download as..." entries to the context menus. With it you can enter a different account that will be used for the transfer.

Enhanced features:

  • files and folders can now be dragged directly into the queue

  • made some internal changes to the upload/download queue

  • rewrote large parts of the local file list. Large folders will be displayed faster now.

Fixed bugs:

  • fixed a menu bug in the Site Manager

  • fixed a Drag & Drop bug: The folder ".." could be dragged

Beta 2.2 (2001-05-31):

Fixed bugs:

  • Menubar didn't response or disappeared on Win98 after entering the options dialog

  • Treeview items now are translated if a language DLL is used

Beta 2.1 (2001-05-30):

New features:

  • import and export of all Site Manager entries

  • download of folders with all files and subfolders

  • folders with all files and subfolders can be deleted

  • directories can be created

  • "Ignore firewall / proxy settings" button in site manager

  • added localization support

  • command line support

    Command line

    Description

    FileZilla.exe [ftp://][user:pass@]host[:port][/dir]

    connects to a server

    FileZilla.exe -i sitemanager.txt

    imports the file "sitemanager.txt" into the sitemanager (or any other textfile if you want)

  • added a "default folder" option

Enhanced features:

  • modified the about box to dynamically load the version information from the main application and to show the name (if using language DLL) of the translator

  • modified the title bar to dynamically load the version information from the main application

  • cleaned up some code

  • improved local folder browsing

  • the options dialog now uses a style similar to the one used in Netscape. (You know, the nice treeview on the left side)

  • improved the install script

Fixed bugs:

  • up- or downloads no longer fail if a server does not understand the SIZE command

  • Keep Alive commands were sent twice

  • fixed loads of minor glitches

Beta 2.0 (2001-05-05):

New features:

  • added two LEDs on the bottom right edge of the main window which flash when data is sent/received

  • now whole directories can be uploaded at once

  • added drag and drop

  • files and directories from the explorer can be copied or uploaded via drag & drop

  • added installer

  • added SOCKS4/5 proxy support

  • it's now possible to rename files

Enhanced features:

  • extended URL handling in the quickconnect bar and in the Site Manager

  • cleaned up the code of the main window

  • changed the way the API returns information to the rest of the application

  • added default remote dir to Site Manager

  • better timeout detection

  • improved retry logic

  • completely new command system. Much cleaner code now

  • better alignment in message log

Fixed bugs:

  • changed command order with file download. Resumed downloads were not handled correctly on some FTP servers

  • fixed a small file upload bug

  • fixed wrong tab order in Firewall settings. Firewall types got mixed up

  • changed the Logon function: The wrong hostname was displayed if Firewalls were used

  • countless small bug fixes and improvements

Beta 1.0 (2001-04-11):

New features:

  • Added download queue

  • Added support for links on ftp sites

  • the content of the status pane can be copied to clipboard

  • passwords are now encrypted

  • added disconnect, reconnect and refresh buttons

  • added editbox to quickly see and change remote folder

Enhanced features:

  • Local Views updated. Now operating through threads. Overall performance should be better now, especially with large folders

Fixed bugs:

  • fixed bug in Site Manager. Didn't check for multiple names in the list.

  • fixed some icon displaying bugs

  • fixed some minor bugs and memory leaks

Alpha 1.2 (2001-03-15):

New features:

  • Added options dialog with the connection settings

  • Site Manager added

  • new class (CTimeoutSocket) to check for timeouts

  • break current operation button implemented

  • added Keep Alive feature

Fixed bugs:

  • fixed a bug within CFtpViewCtrl::List

  • some minor bug fixes

Alpha 1.1 (2001-03-05):

New features:

  • Ability to enter custom commands. Right-click the status pane

  • Message log can be cleared

  • Now displaying file date and time within the FTP View

  • Added support for multiple files uploads/downloads within the API (not within the GUI yet)

  • Implemented resume/overwrite dialog for files already existing

Enhanced features:

  • New method to parse the answer of the LIST command. Should be more compatible with certain FTP servers now

  • Status bar now displays more information during transfers

Fixed bugs:

  • Files that were uploaded/downloaded were locked for other processes during transfer. Now read access is possible

Alpha 1 (2001-02-27):

  • First release


Using FileZilla

The following chapters include information about the user interface of FileZilla. It will help you to use FileZilla

  • Quick guide to FileZilla

  • The Main Window

  • The Site Manager


Quick Guide

This guide gives you a short overview on how to use FileZilla. By default you don't have to configure FileZilla, so you can start directly working with the program.

1. Connecting to an FTP server

To connect to an FTP server, enter the address of the server into the host field of the Quickconnect bar. If it is a special server type like an SFTP server, add the protocol in front of the address. In case of an SFTP server, start the address with 'sftp://'. Enter the port of the server into the port field if it is not the default port (21 for FTP, 22 for SFTP). If a username / password is required, enter it in the corresponding fields. Click on Quickconnect or press Enter to connect to the server.

2. Navigating on the server

After a successful connection attempt, a list of files and folders appears on the right side of the main window. The current folder is listed in the edit field on the top. You can change the current folder by double-clicking a folder or by entering the folder name into the edit field and pressing enter. You may also right-click the file and folder list and select Open from the context menu to change the current folder. You will notice a folder called ".." displayed in all directories. This folder allows you to go up to the parent directory of the current folder.

3. Navigating on your machine

Navigating on your machine works almost like navigating on the server. There's only one addition: The folders on your machine are arranged in a tree for faster navigation. A tree is also available for the remote side, but it is hidden by default. The remote tree can be shown anytime by clicking on the remote tree icon in the toolbar.
To change the current folder either on your machine or on the server, just select a tree item in the appropriate tree.

4. Transferring files

You can upload or download a file by double-clicking on it. It will be added to the transfer queue and the transfer starts automatically. To transfer folders and/or multiple files, select them and right-click the selection. Then you can click on Upload/Download in the popup menu.

You can also drag the files from one side and drop them on the other side. To add files to the queue so that they will be transferred later, select them and click Add to Queue from the popup menu. You may also drag the files directly into the queue. Click on the [image] button on the toolbar to start the transfer.


The Main Window

Overview:

When you have established a connection between your local PC and an FTP site, the FileZilla main window displays the files and folders for your PC on the left side of the main window and the files and folders of the FTP site on the right side. At the top of the window there is a menu and a toolbar. From there you can access other functions of FileZilla and you can change the layout of the main window. Below that, there is the message log. Every action you take on the FTP server is logged there, as well as all status messages. Located at the bottom of the window is the Transfer Queue, which allows you to see what files are scheduled for upload/download and their progress.

Find out more about the FileZilla menu. Find out more about the toolbar Find out more about the Quickconnect Bar Find out more about the Message Log Find out more about the local view Find out more about the remote view Find out more about the transfer queue Find out more about the status bar
(FileZilla main window: Click on any part of the window to go to its description)

  • The Menu: From the menu you can access the other parts of FileZilla and from here you can change the visual style of the main window. See the Menus and Toolbars section for more information.

  • The Toolbar: These buttons give you quick access to the most useful features of FileZilla. See the Menus and Toolbars section for more information.

  • The Quickconnect Bar: Allows you to quickly connect to FTP sites without having to create a site profile for it. See the Menus and Toolbars section for more information.

  • The Message Log: Below the list boxes, there is a message area that logs all queries from the FileZilla client (your PC) and all responses from the FTP site. The Message Log can be toggled by the [image] button on the toolbar. See the Message Log section for more information

  • Local View: The current folder is shown at the top in the edit field and in the folder tree. The list box below shows all of the files and folders within the current folder. Icons are used to identify the different files and folders. Any disk drives that you can access also appear in the list. The treeview can be toggled by the [image] button on the toolbar. See the File and Folder views section for more information.

  • Remote View: Displays all the accessible files under the current directory on the FTP server you are connected to. You will notice a folder called ".." displayed in all directories. This folder allows you to go up to the parent directory of the current folder. On the top there is a combo box with the current folder. See the File and Folder views section for more information.

  • Transfer Queue: Shows the status of any incoming/outgoing files from/to the FTP server. This list can be toggled by the [image] button on the toolbar. See the Queue section for more information.

  • Status bar: Shows information about the current transfer and the queue size. The file transfer information includes (from the left to the right): Elapsed time, time left, progress bar, transferred bytes and transfer rate. The two LEDs on the right indicate whether files are being received (green) or sent (red).

Keyboard Shortcuts

F5 | - | Refreshes local and remote file and folder views
Tab | - | Switches to the next view
Ctrl+C | - | Stops the current operation
Ctrl+D | - | Disconnects from server
Ctrl+Q | - | Connects to the server entered in the Quickconnect bar
Ctrl+R | - | Reconnects to server
Ctrl+S | - | Opens the Site Manager
Ctrl+T | - | Shows or hides the treeview


Menus and Toolbars

1. The main menu

This section describes all items of the main menu. Using the menu, you can access a lot of different features.

File - Popup menu for some general operations and Sitemanager functions

Site Manager - Opens the Site Manager

Copy connection to site manager - Copies the current connection into the Sitemanager as a new entry

Connect to default site - Connects to the default site in the Site Manager.

Reconnect - Connects to the last server you were connected to. Useful when you've lost the connection. FileZilla automatically switches to the last used folder on the server. You can also use the [image] button on the toolbar.

Disconnect - Disconnects from an FTP server. You can also use the [image] button on the toolbar.

Exit - Disconnects from the server and exits FileZilla. All files in the transfer queue that have not been transferred yet are remembered for the next time FileZilla starts so that the transfers can be continued.

Edit

Settings - Opens the options dialog of FileZilla. There you can configure FileZilla.

Export settings - Exports all settings of FileZilla into an .xml file. When you select this menu item, you will be asked for a filename under which the settings will be exported. This function is useful if you want to make a backup of the settings or if you want to copy all settings to a second machine.

Import settings - Imports settings from an previously exported .xml file.

Transfer - This popup menu allows you to control the file transfers.

Transfer Type - Selects the current transfer type. You can choose between ASCII, Binary and Auto. If you select ASCII, all files will be transferred in ASCII mode. If you select Binary, all files will be transferred in binary mode. If you select Auto, FileZilla detects and chooses the transfer type based on the file extension. You can enter which extensions will be considered as ASCII files in the ASCII/Binary page in the options. You should leave this setting on Auto, if you don't want to force a specific transfer type. A wrong setting may result in corrupt files.

File overwrite settings - This menu item opens a submenu. In this menu you can set the default behaviour for file transfers where the target file already exists. The default setting is Ask. When selected, FileZilla will ask every time how to proceed when a target already exists.

Manual Transfer - Sets up a manual transfer. You have to enter the server address, the path and the folder of the file local and remote file and which type of transfer (Upload or Download) should be established. This is especially useful if you want to transfer hidden files that don't show up in the directory listing or if it's not possible to list the contents of a directory.

View - Controls the visual aspects of the main window

Refresh Views - Refreshes the file and folder views. You can also use the [image] button on the toolbar.

Show hidden files - Some servers don't show hidden files like dotfiles (filenames starting with a dot) by default. Enable Show hidden files if you want to see those file. However, not all servers support these feature, they may return an error or may return broken or incomplete directory listings. So be careful when enabling this feature.

Toolbar - Toggles the toolbar on or off

Statusbar - Toggles the statusbar on or off

Quickconnect Bar - Toggles the Quickconnect bar on or off

Local Treeview - Toggles the local treeview on or off. You may also use the [image] button on the toolbar.

Remote Treeview - Toggles the remote treeview on or off. You may also use the [image] button on the toolbar.

Message Log - Toggles the message log on or off. You may also use the [image] button on the toolbar.

Transfer Queue - Toggles the transfer queue on or off. You may also use the [image] button on the toolbar.

Local list view - In this popup menu you can change the layout of the local file list. You can choose between the Details, List, Small Icons and Large Icons style. You can also select which columns should be visible in details style. The Filesize, Filetype and Last Modified columns can be toggled.

Remote list view - In this popup menu you can change the layout of the remote file list. You can choose between the Details, List, Small Icons and Large Icons style. You can also select which columns should be visible in details style. The Filesize, Date/Time and Permissions columns can be toggled.

Queue

Process Queue - If checked, FileZilla processes the queue.

Use multiple connections - FileZilla can transfer up to 10 files (number can be set in the settings dialog, default is 2) simultaniously when enabled. If you don't want FileZilla to use multiple connections, disable this feature. You may also have to disable this feature for servers which do not support multiple connections. FileZilla can detect such servers automatically, but some misconfigured servers may even ban you for some time when trying to establish multiple connections, so disabling this prevents problems with some servers.

Export - Exports all queue items into a file

Import - Imports queue entries from an external file

Server

Change password - Allows you to change the password used to connect to te server. Due to security considerations, not all servers allow you to change the password this way.

Enter raw FTP command - Opens an input dialog where you can enter any FTP command. This is useful if you want to perform actions on the servers not otherwise supported by FileZilla.

Copy URL to clipboard - Copies the address of the current server and path to the clipboard

Help - Use this popup menu if you need help

Contents - Displays the table of contents of the help file.

Index - Displays the index of the help file

Search - Opens the search page of the help file

About FileZilla... - Opens the Aboutbox of FileZilla with some useful information.

2. The Toolbar

From the toolbar, you have quick access to a lot of important functions. When a function is not available, the corresponding icon is greyed out.

Opens the Site Manager
Toggles the local treeview. When checked, the treeview is visible.
Toggles the remote treeview. When checked, the treeview is visible.
Toggles the transfer queue. When checked, the queue is visible.
Toggles the Message Log. When checked, the message log is visible.
Refreshes both the local file list as well as the remote file list.
Starts processing the transfer queue. Use this button to start the transfer of any queue files.
Cancels the current operation. It also stops processing the queue.
Disconnects from a server.
If you aren't currently connected to a server, using this button reconnects to the last used server and switches to the last used directory on the server.
Displays the table of contents of the FileZilla documentation.

3. The Quickconnect Bar

Using the Quickconnect bar you can quickly connect to an FTP server. There are four edit fields. In the first field you have to enter the address of the FTP server. It can either be a host name (like ftp.sourceforge.net) or an IP, but FileZilla also supports addresses with username, password and port in the address. The full syntax for the address edit field is: [protocol://][User:Pass@]Host[:Port][/Path] The parameter within [ ] are optional. The first parameter specifies the protocol that should be used to connect to the server. Supported protocols are ftp://, ftps:// (FTP over SSL) and sftp:// (Secure FTP using SSH2). If no protocol is specified, ftp:// is used. The second parameter specifies the username and password that should be used to connect to the server. The next optional parameter specifies the port where the server is located. If the port is not specified, FileZilla uses port 21. The last parameter specifies the remote path FileZilla should switch to when connecting.

The next two edit fields specify the username and password that should be used to connect to the server. If you leave the username field empty, anonymous logon will be selected. Both fields will be overwritten if you specify a username and/or password in the address field.

The last field specifies the port of the FTP server. By default this value is 21. Change this value if the server is located at another port. This field will be overwritten if you specify a username and/or password in the address field.

Click on Quickconnect if you are ready. FileZilla will then connect to the FTP server. If you've entered invalid information, FileZilla will display an error message. The arrow next to the quickconnect buttons opens a dropdown menu. Using the Clear item in the menu you can empty the quickconnect bar. Below this entry, a list of the 10 most recently visited servers in the current session is maintained. Select server from the list to connect to it.


The Message Log

Overview

All commands sent to the FTP server and their responses, as well as status messages and error messages are logged into the Message Log.

Before each entry the type of the message is listed and different colors are used to indicate the type. There are four types of messages:

Status: | These are normal status messages containing useful information about the current operation. Examples for status messages are "Connecting to <server>..." or "Retrieving directory listing..."
Error: | Error messages are displayed in red. They always appear when an operation fails due to an error or if aborted by the user.
Command: | These are the commands sent to the server. They request the server to initiate a data transfer, for example.
Response: | These are the responses from the FTP servers. The most important thing about the responses are the preceding numbers. FileZilla uses them to determine whether a command was successful. A 2 or 3 in the first digit indicates success, 4 and 5 indicate a failure. A failed command does not necessarily mean that the current operation has failed.

Message Log context menu

The Message Log has a context menu. Right-click the Message Log to open the menu. There are three menu items:

Enter command... | - | Allows you to enter a custom command. This command will be sent to the FTP server.
Copy to Clipboard | - | Copies the entire Message Log to the clipboard. Useful if you want to work with the data from the Message Log, for example to write a bug report
Clear All | - | Clears all entries from the Message Log.


The File and Folder views

1. The remote site

The file and folder view of the remote site is located on the right side of the main window. With it you can navigate on an FTP server and initiate downloads.

The file and folder list

Each line represents a file or folder. The file and folder icons help you to identify the files and folders quickly. The labels above each column describe their meaning. The meaning of the first 4 columns should be clear: Filename, Filesize, Date and Time. The last column entitled "Permissions" tells you what access rights you have on the files. You don't really have to care about the permissions. The first character indicates whether the entry is a file, a directory or a link. The last characters are three groups of three characters each. The first group describes the owner rights, the second the group rights and the last one the public rights. An r means that you have read access, w means write access and x means the right to execute a file. You can sort the list by clicking on one of the column labels. A small gray arrow indicates which column the list is sorted on and the sort direction. You can toggle the sort direction by clicking the heading again.

You can change the style of the list and the visible columns with the menu of the main window.

Navigating on the server

On the upper side you will notice the combo box. Here the current folder is listed. You can also enter a new folder. Press enter and FileZilla switches to this folder. You can also click on the arrow on the right to open a popup menu containing a list of all directories you've visited on that server. Click on an item to switch to that directory.

Below that is the file and folder list. The first entry in the list is always "..". It represents the parent folder of the current folder. You can switch to a folder by double clicking it or by using the context menu.

Downloading files

There are three ways to download a file: You can double click it, you can use the context menu or you can drag and drop the file into the local file list. You can operate on a folder in the same way. You may also select multiple files and folders for transfer in one operation, except of course double-clicking is not available in this situation. To add items to the queue for a later transfer, you may again use the context menu or you can drag and drop them into the queue.

The context menu

Right-click the file and folder list to display the context menu.

Download | - | Downloads the selected files and folders. The download starts immediately.
Add to Queue | - | Adds all selected items to the transfer queue. Use the [image] button on the toolbar to start the transfer.
Download as | - | Asks you for a username and password that will be used to download the selected files and folders.
Open | - | Opens the selected directory.
View/Edit | - | When using this command, FileZilla downloads the selected file into a temporary folder. Then it opens the file with the file viewer/editor you've set in the settings dialog. When you've closed the viewer/editor and the file has changed, FileZilla will ask you if you want to upload the file back to the server.
Create Directory | - | Creates a new directory in the current folder. You have to enter a name for the new folder before it will be created.
Delete | - | Removes all selected files and folders. You will be asked for confirmation.
Rename | - | Renames the selected file. You'll be asked for the new name.
File attributes | - | Allows you to change the attributes of the selected file. This function is not supported by all FTP servers.

2. The local site

The file and folder view of the local site is located on the left side of the main window. With it you can navigate on your local machine and initiate uploads.

The file and folder list

The local file and folder list is very similar to the remote file and folder list. The labels above each column describe their meaning. Again you can sort the list and the small gray arrow indicates which column the list is sorted on and the sort direction.

You can change the style of the list and the visible columns with the menu of the main window.

Navigating on the local site

On the upper side you will notice an edit field. Here the current folder is listed. You can also enter a new folder. Press enter and FileZilla switches to this folder.

Below that is a treeview. It displays the folder structure of your machine. The current folder is always selected. Select another item to switch to that folder. The treeview can be toggled using the [image] button on the toolbar.

On the bottom there finally is the file and folder list. The first entry in the list is always "..". It represents the parent folder of the current folder. You can switch to a folder by double clicking it or by using the context menu.

Uploading files

There are three ways to upload a file: You can double click it, you can use the context menu or you can drag and drop the file into the remote file list. You can operate on a folder in the same way. You may also select multiple files and folders for transfer in one operation, except of course double-clicking is not available in this situation. To add items to the queue for a later transfer, you may again use the context menu or you can drag and drop them into the queue.

The context menu

Right-click the file and folder list to display the context menu.

Upload | - | Uploads the selected files and folders. The upload starts immediately.
Add to Queue | - | Adds all selected items to the transfer queue. Use the [image] button on the toolbar to start the transfer.
Upload as | - | Asks you for a username and password that will be used to upload the selected files and folders.
Open | - | If you've selected a directory, FileZilla switches to that directory. If you've selected a file, it will be opened with its associated application.
View/Edit | - | Opens the selected file with the file viewer/editor specified in the settings dialog.
Create Directory | - | Creates a new directory in the current folder. You have to enter a name for the new folder before it will be created.
Delete | - | Removes all selected files and folders. You will be asked for confirmation.
Rename | - | Renames the selected file. You'll be asked for the new name.

3. Shortcuts

  • F5 - refreshes both file lists

  • CTRL + A - Select all files in the current file list.

  • DEL - Delete all selected files and folders. Deleted files will be moved to the recycle bin

  • SHIFT + DEL - Delete all selected files and folders. Deleted files will be erased and not moved to the recycle bin.


The Transfer Queue

Overview

Every time you want to transfer a file with FileZilla, the transfer will be put into the Transfer Queue. Whenever you want to transfer more than one file, a queue becomes necessary. The queue decides which file will be transferred next.

Each line in the list represents a separate file transfer. The column headers describe the meaning of each column.

Local Filename is the local file that will be uploaded or the local file in which a downloaded file will be saved.

Size indicates the total size of the transfer.

Direction tells you whether the file will be uploaded (->) or downloaded (<-) It also indicates the priority of a transfer. A single arrow (-> or <-) stands for transfers that were added to the queue for later transfers. A double arrow (->> or <<-) stands for transfers that were initiated directly, the high priority transfers. High priority transfers get transferred first. When you add a new file to the queue, it gets placed below the last item of the same priority.

Remote Filename indicates the remote file that will be downloaded or the remote file in which an uploaded file will be saved.

Host is the address of the server involved in the transfer.

Status displays some information about the transfers. Some status messages are: "Transferring", "Transfer Error #x, "Trying again later", "Transfer aborted", "Critical transfer error" or "Too many retries". In the last three cases you have to reset the status of the transfer with the context menu if you want to retry to transfer the file later.

Context Menu

Right-click the queue to open the context menu.

Process Queue | - | Starts processing the queue.
Remove from Queue | - | Removes an item from the queue
Reset Status | - | Resets the status of an item. Old status has to be "Transfer aborted", "Critical transfer error" or "Too many retries"
Move up | - | Moves the selected items up. *
Move down | - | Moves the selected items down. *
Move to top | - | Moves the selected items to the top of the queue. *
Move to bottom | - | Moves the selected items to the bottom of the queue. *

* Please note that a low priority transfer can never be higher than a high priority transfer and vice versa.


The Site Manager

Overview

The Site Manager manages a list of servers so that you can quickly connect to them. It stores their addresses and their logon information so that you don't have to remember all server details. FileZilla will do that for you.

(The Site Manager window)

Controls

There are a lot of controls on this dialog. Each of them is listed below with a description.

Site List - Lists all sites that you've entered in the Site Manager and arranges them in a tree. Click on an entry to see or change its details. Double click an entry to connect to that site.
Host - This is the address of the server.
Port - The port at which the server is located.
Servertype - Here you can choose the type of the server. Currently 3 server types are supported:
  • FTP - The default protocol of FileZilla
  • FTP over SSL (explicit encryption) - used to connect through SSL secured servers, secure channel gets established upon connection.
  • FTP over SSL (implicit encryption) - used to connect through SSL capable servers, secure channel gets established before logon.
  • SFTP using SSH2 - uses to connect to an SFTP server using an encrypted connection
User - The username that will be used for the logon on the server.
Password - The password that will be used for the logon on the server. Select Don't save password if you don't want FileZilla to remember your password for that site. In this case you will be asked for the password every time you want to connect to that site. Useful if you're not the only one who has access to your machine.
Logontype - Specifies the way in which FileZilla will connect to the server. If you select anonymous, you can't enter a username and password. In this case the username always is anonymous. When you select Normal, you have to enter a username and if required, a password. When the checkbox "Bypass proxy / firewall settings" is checked, then FileZilla bypasses any proxy or firewall settings that you've set in the options. Checking this could be required if you want to connect to servers in your LAN.
Default remote directory,
Default local directory 		- When you connect to a site, FileZilla switches both the local and the remote directory to the ones you have entered here.
Default site - When selected, the site selected in the site list is the default site. This site will be selected everytime you open the Site Manager. FileZilla will also connect to this site when you use "Connect to default Site" from the menu of the main window.
New Site - Creates a new entry in the list. Fill out the edit fields on the right and the new site is ready to use.
New Folder - Creates a new folder in the tree. Use folders to group your sites.
Delete - Deletes the selected entry from the site list after asking for confirmation.
Connect - Connects to the selected site and saves any changes.
Cancel - Discards all changes and closes the Site Manager.
Save and Exit - Saves all changes and closes the Site Manager.

The menu

The Site Manager has a small menu from which you can import and export the Site Manager entries.

Your sites can be exported in two ways: as a simple URL list or with all details. In both cases you will be asked for the name of the text file into which your sites will be exported. In the first case, only the full URL (including port, username, password and remote directory) of the server gets saved. In the second case, all settings get exported.

When you select Import from the menu, you will be asked for a filename. FileZilla automatically detects whether the file contains any sites and if it is a URL list or a full detail list.


Configuration

Overview:

FileZilla supports many configuration options that you can set with the "FileZilla Options" dialog box. Click "Settings" under the "Edit" menu to open up the dialog box.

Under normal conditions you don't have to configure FileZilla. FileZilla comes with a default set of options that is optimal for most users.

The options are divided into several pages that are indexed on the left side of the options dialog. Click on any entry in the tree to open that page.

(Connection window of the FileZilla Options dialog box)

Each page deals with a separate topic and its associated options:

  • Connection - This page covers some general connection options

  • Firewall settings - Configures connections through a firewall

  • FTP Proxy settings - Configures through an FTP proxy

  • Proxy settings - Configures through SOCKS4/5 proxies

  • GSS support - Options for the integrated GSS support

  • Directory cache - Enables/disables local caching of remote server directory structure

  • Ident server - Enables/disables the built-in ident server.

  • SFTP settings - Configures settings for SFTP connections.

  • File transfer settings - Controls various file transfer aspects

  • ASCII/Binary - Transfer mode selection

  • Speed Limit - Transfer mode selection

  • Interface settings - Controls the visual layout of FileZilla

  • Local file list - Configures the layout of the local file list

  • Remote file list - Configures the layout of the remote file list

  • Language - Sets the language of FileZilla

  • Miscellaneous - Additional interface settings

  • File viewing / editing - Sets up filetype associations for viewing / editing remote files

  • Debug - Debug settings, usful to find problems


Connection

Overview:

The connection page and its subpages control the way in which FileZilla connects to FTP servers.

(Connection window of the FileZilla Options dialog box)

Keep Alive Settings:

Most FTP connections time out if you have been idle for too long. FileZilla can be configured to send Keep Alive commands such as "PWD", "REST 0", "TYPE A", or "TYPE I" to simulate activity and prevent the FTP server from logging you out. To use the Keep Alive System, check the "Enable the Keep Alive System" checkbox. You can also configure the frequency of Keep Alive commands by entering the time interval at which FileZilla will send Keep Alive commands. Please note that enabling this setting does not prevent servers that use no-transfer timeouts from logging you out if you are idle for too long.

Timeout Detection:

After FileZilla sends a command, if the FTP server does not respond, or starts a response but doesn't finish it, then FileZilla assumes the connection has timed out, and disconnects. Here, you can enter the amount of time in seconds that FileZilla should wait before disconnecting. If you have a very slow connection to a server and it always times out, try using a greater value.

Retry Settings:

If the connection is closed while a transfer is in progress, then FileZilla can be configured to reconnect and attempt the transfer again. Here, you can configure how long FileZilla should wait before reconnecting, and the maximum number of times it should try to reconnect.

Additional Settings

The connection page has several subpages where you can configure other aspects of the connection:

  • Firewall settings

  • FTP Proxy settings

  • Proxy settings

  • GSS support

  • Directory cache

  • Ident server

  • SFTP settings


Firewall settings

Overview

Using the settings on this page, you can configure FileZilla to be compatible with your firewall.

Limit local ports used by FileZilla | - | Enable this if your Firewall only allows applications to use a specific port range. If all ports within the specified range are already in use or if your firewall blocks applications from using these ports, you won't be able to connect to any ftp server behind your firewall.
Passive Mode | - | Enable passive mode. Without passive mode, the FTP server establishes a connection to your computer for transfers. With passive mode enabled, FileZilla establishes a connection to the server for transfers. Passive mode should be enabled when a firewall type is selected or if you can't accept inbound connections.
Use the following IP address for non-passive transfers | - | If FileZilla fails to detect your ip address for active mode transfers, for example if you are behind a router, you can specify the ip address which should be used for active transfers.

Contact your system administrator if you don't know the required information or if you have problems connecting through the firewall.


Proxy settings

Overview

In addition to the Firewall support, FileZilla also supports SOCKS4 and SOCKS5 based proxy servers. Setting up the proxy server is very similar to the firewall settings.

Proxy type | - | FileZilla supports SOCKS4 and SOCKS5 proxies. Please select the appropriate proxy type. If your proxy supports both SOCKS4 and SOCKS5, select SOCKS5
Host | - | The address of the proxy
Port | - | The port of the proxy
User | - | The username used to logon to the proxy. Note that only SOCKS5 servers support logon.
Pass | - | The password used to logon to the proxy. Note that only SOCKS5 servers support logon.
Use User / Pass for SOCKS5 proxy | - | When you use a SOCKS5 proxy, the proxy may require you to logon. Activate this checkbox and enter your username and password into the appropriate fields.

Contact your system administrator if you don't know the required information or if you have problems connecting through the SOCKS proxy.


FTP Proxy settings

Overview

FileZilla supports connections to FTP servers over FTP proxies. There are a lot of different proxy types, but FileZilla should be able to connect through most ftp proxies

Firewall hostname | - | The address of the firewall
Port | - | The port of the firewall
User | - | The username used to logon to the firewall
Pass | - | The password used to logon to the firewall
Firewall type | - | Specifies the firewall type. Try using USER FireID@Remothost first. If you have problems connecting to the server, try the other firewall types

Contact your system administrator if you don't know the required information or if you have problems connecting through the ftp proxy.


GSS Support

Overview:

FileZilla is able to communicate with FTP servers using Kerberos with GSS. When this is enabled, all data sent between FileZilla and the FTP server will be encrypted. This means that other people on the network cannot steal your password or your data.

In order to use this feature, you must make sure:

  • the FTP server supports GSS and Kerberos

  • you have Kerberos for Windows installed on your computer

  • you have obtained Kerberos 5 tickets

If these conditions are not met, FileZilla will give you the option of sending all your data in the clear. Do not do this if your password or your data must be kept secret!

Enabling GSS:

Check the Enable Kerberos GSS support box to enable Kerberos GSS.

GSS Enabled Servers:

Because most FTP servers do not support GSS, FileZilla does not by default use it during its logon process. If you wish FileZilla to use GSS when it connects to a server or a set of servers, you must enter them in the box labeled GSS enabled servers. You may enter either the full name of the servers or their domain name. When you try to connect to a server, FileZilla will compare the full name of the server against the list of names in this box. If the server's name ends with a string in the list, then GSS will be used.

For example, if the list consists of "mit.edu", then FileZilla will use GSS when it connects to mint-square.mit.edu or athena.dialup.mit.edu, but it won't use GSS when it connects to ftp.microsoft.com.

If the list consists of "mint-square.mit.edu", then FileZilla will use GSS only when it connects to mint-square.mit.edu.

  • To add a server to the list, enter its name in the small text box, and click Add.

  • To remove a server from the list, click its name in the list box, and click Remove.

FileZilla also supports aliases. FileZilla automatically resolves the alias and compares the real name of the server against the list. For example if athena.dialup is an alias for athena.dialup.mit.edu, and you connect to athena.dialup, FileZilla retrieves the real address, in this case athena.dialup.mit.edu and compares it against the list.


Directory Cache

Overview

The directory cache of FileZilla is a very powerful feature. It stores all directories you've visited on the server, so that FileZilla does not have to get the directory listing from the server the next time you want to display the same directory. This is especially useful when browsing a server with a complex directory structure.

When the directory cache is enabled, it is also possible to browse already visited directories during file transfers, so that you can queue up files for download while already transferring files.

The three input fields on the dialog page control how long a directory remains within the cache. When the time is exceeded, the directory will be purged from the cache.
If you set this value too high, you may not notice any changes on the server, like new or modified files.
Furthermore, if you set it too low, the cache would be pretty much useless as its contents would be purged too early and you won't be able to browse the server while transferring files if you have Use multiple connections disabled.


Ident server

Overview

Some servers require their users to have an ident server running as additional authentication method. FileZilla comes with an built-in ident server which can be enabled on the Ident server page.

Enable Ident server

This enabled the ident server. You've to fill the edit fields below with your user ID and your system. Don't get confused that system is UNIX, it is just the default value for system which most ident servers use, including the Windows ones.

Enable only when connection

If this option is selected, the Ident server will only be enable during connection establishment. However, some servery may require an active ident server at different situations, in this case just disable this option.

Only accept requests from the same IP

When enabled, only ident requests coming from the same host as the server you are connecting / connected to will be answered.


SFTP settings

Overview

On the SFTP page you can configure how FileZilla connects to SFTP servers.

Use compression | - | To speed up SFTP transfers, all transfered data can be compressed. This feature is especially useful if you have a low bandwidth connection to the server. However not all servers support compression. Connection establishment may fail if connection to such servers with enabled compression.
Protocol selection | - | For increased security, FileZilla uses the SSH2 by default for SFTP connections. If your server does not support SSH2, you can try to force SSH1 connections.


File transfer settings

Overview:

On the file transfer settings page and its subpages, you can modifiy the behaviour of FileZilla during file transfers.

(File transfer page of the FileZilla Options dialog box)

Preserve date/time of downloaded files

By default, the creation time of a new file is the time it was created. Enable this feature if FileZilla should preserve the timestamp of a downloaded file. When enabled, the downloaded file has the same creation date/time as the file on the server.

Use multiple connections to transfer files

If enabled, FileZilla can transfer multiple files at once and it is also possible to browse servers while transferring files. The edit field below controls how many files can be transferred at the same time.
If Use multiple connections is enabled, FileZilla opens a new connection for each transfer. Disable this feature if you frequently connect to servers which doesn't allow multiple connections and which may even ban you for trying to establish multiple connection.

File exists settings

You can select the default action for transfers where the target files already exist. By default, FileZilla asks every time before overwriting a file.

Additional Settings

The File Transfer page has several subpages where you can configure other file transfer settings:

  • ASCII/Binary

  • Speed Limit


ASCII/Binary

Overview

Especially when an FTP server uses a different operating system than you, you may need to use different transfer modes for different file types. By default, FileZilla tries to detect the file type and selects a transfer mode. This page allows you to control the transfer mode selection.

Default transfer type | - | Leave this setting on Auto detect, unless you want to force FileZilla to use a specific mode for every transfer, which is not recommended.
ASCII files | - | When you've chosen Auto detect, FileZilla chooses ASCII mode for all file types which are in the list. To add a new file type, enter the file extension into the edit field and click on Add; to remove a file type, select it from the list and click on Remove.

Warning: If the wrong file types are in the list or if you've selected a transfer type other than Auto Detect, file transfers may result in corrupt files.


Speed Limit settings

Overview:

Sometimes it is not desired to transfer files with the maximum speed possible. In this case you can set up speed limits on this page.

(Speed limit settings window of the FileZilla Options dialog)

The speed limits are divided into 2 categories: Download Speed Limit and Upload Speed Limit. This way you can configure the speed limits individually for upload and downloads.

You can either set up a Constant Speed Limit, or you can create a set of Speed Limit Rules.

For each rule you can specify the day of the week and/or the time the rule should be active. When processing the rules during a transfer, the speed limit is set by the first active rule in the list.


Interface settings

Overview:

The interface page controls the visual layout of FileZilla.

(Interface settings window of the FileZilla Options dialog box)

Startup settings:

Here you can configure how you want FileZilla to look every time it starts up.

Always use the following configuration below: click this radio button if you want FileZilla to always keep a specific look.

Next to the label "Show these parts of the GUI", you can choose components you want FileZilla to show:

  • Toolbar

  • Status bar

  • Quickconnect Bar: a thin bar at the top of a normal FileZilla window where you can quickly type in connection information and connect.

  • Message log: top pane of a normal FileZilla window where communications between FileZilla and the FTP server is displayed.

  • Local Treeview: a pane in the left half of a normal FileZilla window where folders on your local computer are displayed.

  • Transfer Queue: the bottom pane of a normal FileZilla window where transfers are displayed.

  • Remote Treeview: a pane in the right half of a normal FileZilla window where folders on your remote computer are displayed.

Next to the label Default style, you can choose how files are displayed on your local computer and on the remote site.

  • Details: similar to the Details view of Windows Explorer where every file is displayed on a separate line with attributes in columns.

  • Large Icons: similar to the Large Icons view of Windows Explorer where every file is represented by a large icon.

  • List: similar to the the List view of Windows Explorer where files are displayed in a list.

  • Small Icons: similar to the Small Icons view of Windows Explorer where every file is represented by a small icon.

If you choose the Details style, then you can choose the columns displayed by clicking the checkboxes next to the Columns in details style label.

Local Site:

  • Filesize: size of the file

  • Filetype: type of file (i.e. text file, application, etc.)

  • Last modified time: the timestamp from when the file was last modified

Remote Site:

  • Filesize: size of the file

  • Date/Time: the timestamp from when the file was last modified

  • Permissions: the permissions set on the file

Remember last used configuration: click this radio button if you want FileZilla to remember and use the look it had when you last ran it. In this case, you have to use the menu of the main window to change the visual layout

Miscellaneous:

Check Show view labels if you want the labels "Local Site:" and "Remote Site:" to appear next to the directory text boxes in the FileZilla main window.

If Remember window size and position of FileZilla is enabled, the size and position of the main window will be saved and restored if you close and restart FileZilla.

With Minimize to tray, Minimize to tray instead to taskbar and Show minimize to tray button you can select the behaviour of FileZilla if you click the minimize button on the main window.

Additional Settings:

  • Local file list - Configures the layout of the local file list

  • Remote file list - Configures the layout of the remote file list

  • Language - Sets the language of FileZilla

  • Miscellaneous - Additional interface settings

  • File viewing / editing - Sets up filetype associations for viewing / editing remote files


Local file list

Overview:

This page configures the appearance of the local file list.

(Local file list page of the FileZilla Options dialog box)

Always use the following configurationn

When selected, the selected layout is used for the local file list.

Default list style

Chose from one of the following styles for the local file list:

Details - List of files with full details, this is the default style
List - Lists only the file names and shows their icons, list get's extended horizontally if it is larger as the list window
Large Icons - Large list of icons with the file name below.
Small Icons - Lists only the file names and shows their icons, list get's extended vertically if it is larger as the list window

Visible columns when using details style

Specifies which colomns will be visible when in details style. Useful if you do not wish to display all details.

show statusbar with information about (selected) files

If enabled, FileZilla displays a statusbar with information about the selected files and folders. If no files are selected, the information about all files is shown.

Remember last used configuration

When selected, FileZilla remembers the layout of the local file list when closed and restores it when started the next time.

Remember column width in details style

If enabled, FileZilla remembers the width of the columns in the local file list in details style.

Filesize format in details style

Specifies how the filesize will be displayed. Filesizes can either be displayed in bytes, KB and MB. In Auto mode, FileZilla keeps the length of the filesize small, displaying a large file in bytes would result in a larg string so FileZilla uses KB or MB in this case.


Remote file list

Overview:

This page configures the appearance of the remote file list.

(Remote file list page of the FileZilla Options dialog box)

Always use the following configurationn

When selected, the selected layout is used for the remote file list.

Default list style

Chose from one of the following styles for the remote file list:

Details - List of files with full details, this is the default style
List - Lists only the file names and shows their icons, list get's extended horizontally if it is larger as the list window
Large Icons - Large list of icons with the file name below.
Small Icons - Lists only the file names and shows their icons, list get's extended vertically if it is larger as the list window

Visible columns when using details style

Specifies which colomns will be visible when in details style. Useful if you do not wish to display all details.

Remember last used configuration

When selected, FileZilla remembers the layout of the remote file list when closed and restores it when started the next time.

Remember column width in details style

If enabled, FileZilla remembers the width of the columns in the remote file list in details style.

Filesize format in details style

Specifies how the filesize will be displayed. Filesizes can either be displayed in bytes, KB and MB. In Auto mode, FileZilla keeps the length of the filesize small, displaying a large file in bytes would result in a larg string so FileZilla uses KB or MB in this case.

Always show hidden files

Some servers don't show hidden files like dotfiles (filenames starting with a dot) by default. Enable Always show hidden files if you want to see those file. However, not all servers support these feature, they may return an error or may return broken or incomplete directory listings. So be careful when enabling this feature.


Language

Overview:

FileZilla currently supports two languages: English and German. It uses English by default. In order to display German, you must download the German language DLL from the FileZilla homepage page. We welcome any of you to translate FileZilla and/or this documentation to your language of choice! :-)

In the Language page of the FileZilla Options dialog box, you can select the language you wish FileZilla to display in.

Simply click your language, and then click OK to close the dialog box.


Miscellaneous

Overview

On this page you can set some miscellaneous interface settings.

(Miscellaneous page of the options dialog)

Default folder

Here you can set which local folder will be used if FileZilla starts. If you select "Remember last used folder", FileZilla uses the folder that it used the last time you worked with FileZilla. If you select "Always use this folder as default folder", FileZilla will always switch to this folder each time FileZilla starts.

Open Site Manager each time FileZilla starts

If selected, the Site Manager will be opened each time you start FileZilla.

Sort folders first in Sitemanager

If selected, the Site Manager menu tree will be sorted with all folders appearing above FTP sites.

Don't expand folders by default

If selected, the Site Manager will not automatically expand its folders if the Site Manager is opened.


File viewing / editing

Overview:

FileZilla can view / edit files on the server. On this page you can associate programs with the different filetypes.

(File viewing / editing page of the FileZilla Options dialog box)

Default program to view or edit a file

The default program is always used to open a file if no other program has been specified for that type of file.

Custom file associations

Each line represents one file association. Every line begins with the file extension followed by a space. Then the program that should be used to open the file follows. You have to quote all extensions, which contain spaces. Invalid lines will be removed from the list.
For files without an extension, for example file with the name README which can be found on a lot of servers, enter a single dot as filetype.

Some examples:

txt c:\windows\system32\notepad.exe
abc c:\program files\abc\abc.exe
"my very long extension" c:\mytool.exe
. c:\mytools\textview.exe


Debug

Overview:

On this page you can enable some debug features which are useful if you have problems with FileZilla.

Trace messages from the ftp engine:

When this option is enabled, FileZilla shows a lot of additional information in the message log to indicate what happens inside the program

Show raw directory listing:

When enabled, FileZilla displays the raw directory listing in the message log exactly as received from the server

Log to File:

Everything that appears in the message log is written into the file with the given filename

Enable debug menu:

If enabled, a debug menu appears in the main menu of FileZilla. It's recommended to leave this settings disabled.


Credits

Credits (in chronological order):

Tim Kosse | - | Project Leader
Xiowen Xin | - | Additional developer
Michael Muehldorfer | - | German translation
Piotr Murawski, Rafal Lampe | - | Polish translation
Jose Brito | - | Spanish translation
Fabien Illide | - | French translation
Simon Tatham and his team | - | The creators of PuTTY
Andrea Sanavia | - | Italian translation
Asparouh Kalyandjiev | - | Bulgarian translation
Bata György | - | Hungarian translation
'Doberman' | - | Additional developer
'Yuan Chia Fu | - | Traditional Chinese translation
Roman Ruckschloss | - | Additional developer
'Thunder White' | - | Simplified Chinese translation
Philippe Curtil | - | French translation of documentation
Takashi Yamaguchi | - | Japanese translation

Special thanks to:

Christian Brueffer and Max Moellers for the idea of writing a FTP client
CodeProject and Codeguru - good pages for VC++ developers, thanks for the great articles!
Everybody else who helped to improve FileZilla by reporting bugs or for their suggestions